/////////////CRANDO BASE DE DATOS myDB /////////////////////////
var db = openDatabase("posDB", "1.0", "POSDB",2 * 1024 * 1024);
////////////////////////////////////////////////////////////////


  
  ////CREANDO TABLA HOST/////////////
db.transaction(function (tx){
  tx.executeSql("CREATE TABLE IF NOT EXISTS host (url TEXT,db TEXT)");
  
  });
/////////////////////////////////////


  ////CREANDO TABLA CLIENTES/////////////
db.transaction(function (tx){
  tx.executeSql("CREATE TABLE IF NOT EXISTS clientes (id INTEGER PRIMARY KEY AUTOINCREMENT, codigo TEXT,nombre TEXT,balance DOUBLE,telefono TEXT,direccion TEXT,cedula TEXT,max_credito DOUBLE,precio DOUBLE,termino_venta TEXT)");
  
  });
/////////////////////////////////////

  ////CREANDO TABLA ITEM/////////////
db.transaction(function (tx){
  tx.executeSql("CREATE TABLE IF NOT EXISTS item (id INTEGER PRIMARY KEY AUTOINCREMENT, codigo TEXT, cantidad DOUBLE, precio DOUBLE, costo DOUBLE, tprecio DOUBLE, tcosto DOUBLE, descripcion TEXT, nfactura TEXT)");
  });
/////////////////////////////////////

  ////CREANDO TABLA FACTURADO/////////////
db.transaction(function (tx){
  tx.executeSql("CREATE TABLE IF NOT EXISTS facturado (id INTEGER PRIMARY KEY AUTOINCREMENT, codigo TEXT, cantidad DOUBLE, precio DOUBLE, costo DOUBLE, tprecio DOUBLE, tcosto DOUBLE, descripcion TEXT, nfactura TEXT)");
  });
/////////////////////////////////////

  ////CREANDO TABLA FACTURAAS/////////////
db.transaction(function (tx){
  tx.executeSql("CREATE TABLE IF NOT EXISTS facturas (id INTEGER PRIMARY KEY AUTOINCREMENT,nfactura TEXT, fecha DATE, monto DOUBLE,costo DOUBLE, termino TEXT, cliente TEXT, balance DOUBLE, pagado DOUBLE)");
    });
/////////////////////////////////////


  ////CREANDO TABLA parametros/////////////
db.transaction(function (tx){
  tx.executeSql("CREATE TABLE IF NOT EXISTS parametros (equipo TEXT, nfactura INTEGER, nlote INTEGER, usuario TEXT, clave TEXT, empresa TEXT, secuencia_factura INTEGER)");
    });
/////////////////////////////////////



////CREANDO TABLA DETALLES VENTA/////////////
db.transaction(function (tx){
  tx.executeSql("CREATE TABLE IF NOT EXISTS detalle_venta (id_detalle INTEGER PRIMARY KEY AUTOINCREMENT , folio TEXT, codigo text,descripcion TEXT,cantidad double, costo DOUBLE,precio DOUBLE,subtotal_precio DOUBLE,subtotal_costo DOUBLE, lote TEXT)");
  
  });
/////////////////////////////////////////////


////CREANDO TABLA DETALLES VENTA/////////////
db.transaction(function (tx){
  tx.executeSql("CREATE TABLE IF NOT EXISTS stock (id_item INTEGER PRIMARY KEY AUTOINCREMENT , codigo TEXT, descripcion TEXT,cantidad double, costo DOUBLE,precio DOUBLE)");
  
  });
/////////////////////////////////////////////

////CREANDO TABLA DETALLES DEUDAS/////////////
db.transaction(function (tx){
  tx.executeSql("CREATE TABLE IF NOT EXISTS deudas (id INTEGER PRIMARY KEY AUTOINCREMENT , folio TEXT, fecha DATE,id_cliente INTEGER,monto double, balance DOUBLE,pagado DOUBLE)");
  });
/////////////////////////////////////////////

////CREANDO TABLA DETALLES DEUDAS/////////////
db.transaction(function (tx){
  tx.executeSql("CREATE TABLE IF NOT EXISTS pagos (id INTEGER PRIMARY KEY AUTOINCREMENT , monto DOUBLE, cliente TEXT,fecha DATE,id_cliente INTEGER, usuario TEXT, nfactura TEXT, balance DOUBLE)");
  });
/////////////////////////////////////////////


